package net.northking.cctp.daemon.service;

import net.northking.cctp.commands.win.TaskList;

import java.util.List;

/**
 * 应用程序生命周期
 */
public abstract class AppLifecycle implements Lifecycle
{
  /**
   * 根据PID查询正在运行的进程
   *
   * @param pid 进程号
   * @return 进程信息
   */
  protected List<TaskList.Result> findProcessByPid(String pid)
  {
    TaskList taskList = new TaskList();
    taskList.format(TaskList.Format.csv);
    taskList.filter(TaskList.Result.PID + " eq " + pid);
    return taskList.execute();
  }


}
